> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Accounts

GET https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts

This endpoint allows you to retrieve all accounts under your franchise.


Reference: https://docs.bigcommerce.com/developer/docs/beta/powered-by/api-reference/accounts/get-accounts

## Authentication

- `X-Auth-Client` header (required) — The client ID of the franchise API account.
- `X-Auth-Token` header (required) — An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

## Request

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

Success

- `data` (list of AccountsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (AccountsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 401 Unauthorized Error

Unauthorized If a franchise makes a request with a `client_id` and access token that do not belong together or are expired, a 401 Unauthorized Credentials response is returned.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 502 Bad Gateway Error

Bad Gateway If something happens during the request that causes it to fail, a 502 response is returned. Submit a new request.

- `status` (double, required)
- `title` (string, required)
- `type` (string, required)

### 503 Service Unavailable Error

If this occurs, you should retry the request. If you are unable to successfully make a request, please check [the BigCommerce system status](http://status.bigcommerce.com/). A service is likely down and you will need to send the request again when the system is back up.

- `status` (double, optional)
- `title` (string, optional)
- `type` (string, optional)
- `errors` (AccountsGetResponsesContentApplicationJsonSchemaErrors, optional)

### 504 Gateway Timeout Error

Gateway Timeout If this occurs, you should retry the request. Typically retrying the request several times will result in a successful request. However, if you are unable to successfully make a request, please check the BigCommerce system status [here](http://status.bigcommerce.com/). A service is likely down and the request needs to be made again when the system is back up.

- `status` (double, optional)
- `title` (string, optional)
- `type` (string, optional)
- `errors` (AccountsGetResponsesContentApplicationJsonSchemaErrors, optional)

## Types

### AccountsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The external ref ID of the account, as provided by the partner (or if was null, created upon account creation)
- `name` (string, optional) — Name of the company associated with the account
- `created_at` (string, optional) — Date the account was created
- `support_pin` (integer, optional) — BigCommerce support pin

### AccountsGetResponsesContentApplicationJsonSchemaMeta

- `pagination` (AccountsGetResponsesContentApplicationJsonSchemaMetaPagination, optional)

### AccountsGetResponsesContentApplicationJsonSchemaErrors

### AccountsGetResponsesContentApplicationJsonSchemaMetaPagination

- `total` (double, optional)
- `count` (double, optional)
- `per_page` (double, optional)
- `current_page` (double, optional)
- `total_pages` (double, optional)
- `links` (AccountsGetResponsesContentApplicationJsonSchemaMetaPaginationLinks, optional)

### AccountsGetResponsesContentApplicationJsonSchemaMetaPaginationLinks

- `next` (string, optional)
- `current` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "12345678910",
      "name": "Test Company",
      "created_at": "2016-01-01T00:00:00Z",
      "support_pin": 859537
    }
  ],
  "meta": {
    "pagination": {
      "total": 240,
      "count": 50,
      "per_page": 50,
      "current_page": 1,
      "total_pages": 5,
      "links": {
        "next": "?page=2&limit=50",
        "current": "?page=1&limit=50"
      }
    }
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts"

headers = {
    "Accept": "application/json",
    "X-Auth-Client": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Client': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Client", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Client"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts")
  .header("Accept", "application/json")
  .header("X-Auth-Client", "<apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Client' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Client", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Client": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/franchises/franchise_uuid/v1/accounts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```